<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:context="http://www.springframework.org/schema/context"
    xmlns:mvc="http://www.springframework.org/schema/mvc"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
     http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
     http://www.springframework.org/schema/mvc
     http://www.springframework.org/schema/mvc/spring-mvc-4.0.xsd
     http://www.springframework.org/schema/context
     http://www.springframework.org/schema/context/spring-context-4.0.xsd">
       
     <context:component-scan base-package="com.softtek.academy.springmvc.controller" />
     <mvc:annotation-driven />
     
	 <bean class="org.springframework.web.servlet.view.InternalResourceViewResolver">
     	<property name="prefix" value="/WEB-INF/views/"/>
     	<property name="suffix" value=".jsp"/>
     </bean>
     
     <bean id="ds" class="org.springframework.jdbc.datasource.DriverManagerDataSource">    
	 <property name="driverClassName" value="com.mysql.jdbc.Driver"></property>    
	 <property name="url" value="jdbc:mysql://127.0.0.1:3306/sesion1?serverTimezone=UTC#"></property>    
	 <property name="username" value="root"></property>    
	 <property name="password" value="1234"></property>    
	 </bean>    
	    
	 <bean id="jt" class="org.springframework.jdbc.core.JdbcTemplate">    
	 <property name="dataSource" ref="ds"></property>    
	 </bean>    
	    
	 <bean id="dao" class="com.softtek.academy.springmvc.dao.StudentDao">    
	 <property name="template" ref="jt"></property>    
	 </bean>       
</beans>